package com.miaxis.film.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.film.domain.FilmOrder;
import com.miaxis.film.dto.FilmOrderListDTO;

/**
 * 电影订单Mapper接口
 *
 * @author miaxis
 * @date 2021-05-07
 */
public interface FilmOrderMapper extends BaseMapper<FilmOrder> {
    /**
     * 查询电影订单列表
     *
     * @param filmOrder 电影订单
     * @return 电影订单集合
     */
    public List<FilmOrder> selectFilmOrderList(FilmOrder filmOrder);

    FilmOrder getByOutTradeNo(String outTradeNo);

    List<FilmOrder> selectOrderList(FilmOrderListDTO filmOrderListDTO);
}
