package com.miaxis.film.service;

import java.io.IOException;
import java.util.List;

import com.miaxis.feign.dto.FilmDTO;
import com.miaxis.film.domain.FilmOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.film.dto.FilmOrderListDTO;

/**
 * 电影订单Service接口
 *
 * @author miaxis
 * @date 2021-05-07
 */
public interface IFilmOrderService extends IService<FilmOrder>{
    /**
     * 查询电影订单列表
     *
     * @param filmOrder 电影订单
     * @return 电影订单集合
     */
    public List<FilmOrder> selectFilmOrderList(FilmOrder filmOrder);

    FilmOrder getByOutTradeNo(String outTradeNo);

    String excuteFilmApi(FilmDTO filmDTO) ;

    List<FilmOrder> selectOrderList(FilmOrderListDTO filmOrderListDTO);
}
